Applications
List resources for an application
Returns the resources defined for the given application, each with its permissions.
GET
/
api
/
v1
/
applications
/
{application_id}
/
resources
List resources for an application
curl --request GET \
--url https://api.accessowl.com/api/v1/applications/{application_id}/resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.accessowl.com/api/v1/applications/{application_id}/resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.accessowl.com/api/v1/applications/{application_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"application_id": "7488a646-e31f-11e4-aace-600308960662",
"description": "Main workspace access",
"id": "7488a646-e31f-11e4-aace-600308960663",
"multiple_permissions_selectable": false,
"parent_resource_id": null,
"permissions": [
{
"elevated": false,
"id": "7488a646-e31f-11e4-aace-600308960664",
"requestable": true,
"title": "Member"
}
],
"requestable": true,
"title": "Workspace",
"type": "resource"
}
]
}{
"error": "not_found",
"message": "Resource not found"
}{
"error": "not_found",
"message": "Resource not found"
}Authorizations
Bearer token authentication. Pass your AccessOwl API token in the Authorization header as Bearer <token>.
Path Parameters
Application ID
Response
Resource list
List of resources for an application
List of resources
Show child attributes
Show child attributes
Was this page helpful?
Previous
Upsert an application's resources and permissionsReplaces the application's access structure by upserting its resources and their permissions in a single call.
Next
⌘I
List resources for an application

